## pybdsf 1.9.2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyBDSM.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyBDSM.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyBDSM"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyBDSM"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== debian/changelog ===
pybdsf (1.9.2-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field
  * Set upstream metadata fields: Bug-Submit, Repository, Repository-Browse

  [ Ole Streicher ]
  * Fix build dependencies (Closes: #972772)

 -- Ole Streicher <olebole@debian.org>  Mon, 26 Oct 2020 10:02:02 +0100

pybdsf (1.9.2-2) unstable; urgency=low

  * Unconditionally add astropy dependency
  * Use system specific multiarch name instead of generic one

 -- Ole Streicher <olebole@debian.org>  Fri, 10 Jul 2020 14:51:51 +0200

pybdsf (1.9.2-1) unstable; urgency=low

  * Initial package (Closes: #959778)
  * Derived from the kernsuite package by Gijs Molenaar

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Apr 2020 23:01:56 +0200

=== debian/control ===
Source: pybdsf
Maintainer: Debian Astro Maintainers <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all-dev,
               python3-astropy,
               python3-setuptools,
               python3-numpy,
               python3-scipy,
               libboost-python-dev,
               libboost-numpy-dev,
               gfortran
Standards-Version: 4.5.0
Homepage: https://www.astron.nl/citt/pybdsf/
Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf

Package: python3-bdsf
Architecture: any
Depends: ${shlibs:Depends},
         ${python3:Depends},
         ${misc:Depends},
	 python3-astropy
Description: Python Blob Detection and Source Finder
 PyBDSF (the Python Blob Detection and Source Finder) is a tool
 designed to decompose radio interferometry images into sources and
 make available their properties for further use. PyBDSF can decompose
 an image into a set of Gaussians, shapelets, or wavelets as well as
 calculate spectral indices and polarization properties of sources and
 measure the psf variation across an image. PyBDSF uses an interactive
 environment based on CASA that will be familiar to most radio
 astronomers.  Additionally, PyBDSF may also be used in Python
 scripts.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
https://github.com/lofar-astron/PyBDSF/releases .*/archive/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## pybdsf 1.10.1

=== src/fortran/Makefile ===
# All the routines which are needed for libraries for PyBDSM are compiled here
# using gnu95, f2py and suitable flags depending on os. Include files are in ../includes
# $(FC) -c *.f -o *.o

DIR=../../fBDSM
CFLAGS = -I$(DIR)/includes
ODIR=./
LIBDIR=../../fBDSM/libs
IODIR=../../fBDSM/io
MDIR=../../fBDSM/wout_pgplot

ifeq ($(shell uname -m), x86_64)
 FC=gfortran -fPIC -fno-second-underscore $(CFLAGS)     
else   # ! i686
 FC=/usr/bin/g77 -g -fno-second-underscore -fbounds-check $(CFLAGS)
endif

ifeq ($(shell uname -s), Darwin)
 FC=gfortran -fbounds-check $(CFLAGS)
endif

OBJ1 = iland_mat2list.o writearray.o gaul2gaulbin.o writefitshead.o sub_prog.o \
 readarray.o get_keyword.o check.o 

OBJ1_f = iland_mat2list.f writearray.f gaul2gaulbin.f writefitshead.f

all: _pytesselate.so _py2fbdsm.so

LIBS=$(LIBDIR)/libfbdsm_woutpg.a

_pytesselate.pyf : 
	f2py2.5 pytess_simple.f pytess_roundness.f -m _pytesselate -h _pytesselate.pyf

_pytesselate.so: _pytesselate.pyf pytess_simple.o pytess_roundness.o
	f2py2.5 --fcompiler=gnu95 -c _pytesselate.pyf pytess_simple.o pytess_roundness.o dummy.f 

_py2fbdsm.pyf : 
	cp $(IODIR)/readarray.f $(IODIR)/writearray.f $(IODIR)/writefitshead.f ./
	cp $(MDIR)/check.f $(MDIR)/get_keyword.f $(MDIR)/iland_mat2list.f $(MDIR)/sub_prog.f ./
	f2py2.5 $(OBJ1_f) -m _py2fbdsm -h _py2fbdsm.pyf

_py2fbdsm.so: _py2fbdsm.pyf $(OBJ1)
	f2py2.5 --fcompiler=gnu95 -c _py2fbdsm.pyf $(OBJ1) $(LIBS) dummy.f


%.o: %.f
	$(FC) -c $< -o $@

clean: 
	rm -fr *.o 

cleanall: 
	rm -fr *.o *.so *.pyf

=== debian/changelog ===
pybdsf (1.10.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Update pattern for GitHub archive URLs.

  [ Ole Streicher ]
  * New upstream version 1.10.1
  * Rediff patches
  * Push Standards-Version to 4.6.0. No changes needed.

 -- Ole Streicher <olebole@debian.org>  Mon, 21 Mar 2022 16:26:33 +0100

=== debian/control ===
--- 
+++ 
@@ -13,17 +13,17 @@
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
+Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
 Homepage: https://www.astron.nl/citt/pybdsf/
-Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
-Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 
 Package: python3-bdsf
 Architecture: any
 Depends: ${shlibs:Depends},
          ${python3:Depends},
          ${misc:Depends},
-	 python3-astropy
+         python3-astropy
 Description: Python Blob Detection and Source Finder
  PyBDSF (the Python Blob Detection and Source Finder) is a tool
  designed to decompose radio interferometry images into sources and

=== debian/rules ===
--- 
+++ 
@@ -6,3 +6,7 @@
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild
+
+override_dh_install:
+	dh_numpy3
+	dh_install

=== debian/watch ===
version=4
https://github.com/lofar-astron/PyBDSF/releases .*/archive/refs/tags/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## pybdsf 1.10.3

=== debian/changelog ===
pybdsf (1.10.3-2) unstable; urgency=medium

  * Add build time test and autopkgtest (Closes: #1035198)

 -- Ole Streicher <olebole@debian.org>  Mon, 10 Jul 2023 11:47:52 +0200

pybdsf (1.10.3-1) unstable; urgency=medium

  [Bastian Germann]
  * New upstream version 1.10.3
  * Rediff patches

  [ Ole Streicher ]
  * Call dh_numpy
  * Update d/watch
  * Fix build issue with Python 3.11 (Closes: #1024499)
  * Push Standards-Version to 4.6.2. No changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 22 Jun 2023 20:57:54 +0200

=== debian/control ===
--- 
+++ 
@@ -13,10 +13,10 @@
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
-Homepage: https://www.astron.nl/citt/pybdsf/
+Homepage: https://pybdsf.readthedocs.io/
 
 Package: python3-bdsf
 Architecture: any

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/lofar-astron/PyBDSF/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## pybdsf 1.11.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.18)
project(PyBDSF C CXX Fortran)

find_package(PythonExtensions REQUIRED)
find_package(Python COMPONENTS Interpreter Development.Module REQUIRED)
find_package(F2PY REQUIRED)
find_package(Boost COMPONENTS python numpy REQUIRED)

if(SKBUILD)
    message(STATUS "The project is built using scikit-build")
    set(PYTHON_INCLUDE_DIRS
        ${Python_INCLUDE_DIR}
        ${Python_NumPy_INCLUDE_DIRS}
    )
else()
    set(PYTHON_INCLUDE_DIRS ${Python_INCLUDE_DIRS})
endif()

## -- Static library: minpack -- ##
set(MINPACK_SRC
    src/minpack/lmder.f
    src/minpack/lmpar.f
    src/minpack/qrfac.f
    src/minpack/qrsolv.f
    src/minpack/enorm.f
    src/minpack/dpmpar.f
)
add_library(minpack STATIC ${MINPACK_SRC})
set_target_properties(minpack PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

## -- Static library: port3 -- ##
set(PORT3_SRC
    src/port3/dnsg.f
    src/port3/dn2g.f
    src/port3/drnsg.f
    src/port3/drn2g.f
    src/port3/d1mach.f
    src/port3/da7sst.f
    src/port3/dc7vfn.f
    src/port3/dd7tpr.f
    src/port3/dd7upd.f
    src/port3/df7hes.f
    src/port3/dg7lit.f
    src/port3/dg7qts.f
    src/port3/ditsum.f
    src/port3/divset.f
    src/port3/dl7itv.f
    src/port3/dl7ivm.f
    src/port3/dl7mst.f
    src/port3/dl7nvr.f
    src/port3/dl7sqr.f
    src/port3/dl7srt.f
    src/port3/dl7svn.f
    src/port3/dl7svx.f
    src/port3/dl7tsq.f
    src/port3/dl7tvm.f
    src/port3/dl7vml.f
    src/port3/dn2cvp.f
    src/port3/dn2lrd.f
    src/port3/dn2rdp.f
    src/port3/do7prd.f
    src/port3/dparck.f
    src/port3/dq7apl.f
    src/port3/dq7rad.f
    src/port3/dq7rfh.f
    src/port3/dr7mdc.f
    src/port3/drldst.f
    src/port3/ds7cpr.f
    src/port3/ds7lup.f
    src/port3/ds7lvm.f
    src/port3/dv2axy.f
    src/port3/dv2nrm.f
    src/port3/dv7cpy.f
    src/port3/dv7dfl.f
    src/port3/dv7prm.f
    src/port3/dv7scl.f
    src/port3/dv7scp.f
    src/port3/dv7swp.f
    src/port3/i1mach.f
    src/port3/i7mdcn.f
    src/port3/stopx.f
)
add_library(port3 STATIC ${PORT3_SRC})
set_target_properties(port3 PROPERTIES POSITION_INDEPENDENT_CODE TRUE)

## -- F2py module: pytesselate -- ##
set(F2PY_MODULE_NAME "_pytesselate")
set(F2PY_MODULE_FILE ${CMAKE_CURRENT_BINARY_DIR}/${F2PY_MODULE_NAME}${PYTHON_EXTENSION_MODULE_SUFFIX})
set(PYTESSELATE_SRC
    ${CMAKE_SOURCE_DIR}/src/fortran/pytess_roundness.f
    ${CMAKE_SOURCE_DIR}/src/fortran/pytess_simple.f
    ${CMAKE_SOURCE_DIR}/src/fortran/constants.h
    )
add_custom_target(${F2PY_MODULE_NAME} ALL
    DEPENDS ${F2PY_MODULE_FILE}
)
add_custom_command(
    OUTPUT ${F2PY_MODULE_FILE}
    COMMAND ${F2PY_EXECUTABLE} -m ${F2PY_MODULE_NAME} -c ${PYTESSELATE_SRC}
    COMMENT "[F2PY] Building python extension module ${F2PY_MODULE_NAME}"
)
install(FILES ${F2PY_MODULE_FILE} DESTINATION bdsf)

## -- Python module: _cbdsm -- ##
set(CBDSM_SRC
    src/c++/Fitter_dn2g.cc
    src/c++/Fitter_dnsg.cc
    src/c++/Fitter_lmder.cc
    src/c++/MGFunction1.cc
    src/c++/MGFunction2.cc
    src/c++/cbdsm_main.cc
    src/c++/stat.cc
    src/c++/num_util/num_util.cpp
)
add_library(_cbdsm MODULE ${CBDSM_SRC})
target_include_directories(_cbdsm PRIVATE src/c++)
target_link_libraries(_cbdsm minpack port3 gfortran ${Boost_LIBRARIES})
python_extension_module(_cbdsm)
install(TARGETS _cbdsm LIBRARY DESTINATION bdsf)

## -- Python module: natgrid -- ##
set(NATGRID_SRC
    natgrid/Src/natgrid.c
    natgrid/Src/natgridd.c
    natgrid/Src/natgridmodule.c
    natgrid/Src/natgrids.c
    natgrid/Src/nncrunch.c
    natgrid/Src/nncrunchd.c
    natgrid/Src/nncrunchs.c
    natgrid/Src/nnerror.c
    natgrid/Src/nnuser.c
    natgrid/Src/nnuserd.c
    natgrid/Src/nnusers.c
)
add_library(natgridmodule MODULE ${NATGRID_SRC})
target_include_directories(natgridmodule PRIVATE natgrid/Include)
python_extension_module(natgridmodule)
install(TARGETS natgridmodule LIBRARY DESTINATION bdsf/nat)

=== debian/changelog ===
pybdsf (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0. Closes: #1076960
  * Rediff patches
  * Update build dependencies

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jul 2024 14:41:09 +0200

pybdsf (1.10.3-3) unstable; urgency=medium

  * Fix python3.12 build (Closes: #1063407)
  * Push Standards-Version to 4.7.0. No changes needed

 -- Ole Streicher <olebole@debian.org>  Sat, 08 Jun 2024 15:06:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,19 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               meson,
+               pybuild-plugin-pyproject,
                python3-all-dev,
                python3-astropy,
                python3-setuptools,
+               python3-setuptools-scm,
                python3-numpy,
                python3-scipy,
+               python3-skbuild,
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
 Homepage: https://pybdsf.readthedocs.io/

## pybdsf 1.11.1

=== debian/changelog ===
pybdsf (1.11.1-1) unstable; urgency=medium

  * Allow prereleases in d/watch
  * New upstream version 1.11.1
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 10 Sep 2024 13:22:38 +0200

## pybdsf 1.12.0

=== debian/changelog ===
pybdsf (1.12.0-1) unstable; urgency=medium

  * New upstream version 1.12.0
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 25 Nov 2024 20:52:29 +0100

pybdsf (1.11.1-2) unstable; urgency=medium

  * Adjust f2py executable name (Closes: #1081693)

 -- Ole Streicher <olebole@debian.org>  Mon, 18 Nov 2024 16:29:19 +0100

## pybdsf 1.13.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -113,6 +113,7 @@
     src/c++/num_util/num_util.cpp
 )
 add_library(_cbdsm MODULE ${CBDSM_SRC})
+target_compile_definitions(_cbdsm PRIVATE NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION)
 target_include_directories(_cbdsm PRIVATE src/c++)
 target_link_libraries(_cbdsm minpack port3 gfortran ${Boost_LIBRARIES})
 python_extension_module(_cbdsm)
@@ -133,6 +134,7 @@
     natgrid/Src/nnusers.c
 )
 add_library(natgridmodule MODULE ${NATGRID_SRC})
+target_compile_definitions(natgridmodule PRIVATE NPY_NO_DEPRECATED_API=NPY_1_7_API_VERSION)
 target_include_directories(natgridmodule PRIVATE natgrid/Include)
 python_extension_module(natgridmodule)
 install(TARGETS natgridmodule LIBRARY DESTINATION bdsf/nat)

=== doc/Makefile ===
--- 
+++ 
@@ -77,17 +77,17 @@
 	@echo
 	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
 	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
-	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyBDSM.qhcp"
+	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyBDSF.qhcp"
 	@echo "To view the help file:"
-	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyBDSM.qhc"
+	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyBDSF.qhc"
 
 devhelp:
 	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
 	@echo
 	@echo "Build finished."
 	@echo "To view the help file:"
-	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyBDSM"
-	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyBDSM"
+	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyBDSF"
+	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyBDSF"
 	@echo "# devhelp"
 
 epub:

=== doc/requirements.txt ===
sphinx-rtd-theme
setuptools_scm

=== debian/changelog ===
pybdsf (1.13.0-2) unstable; urgency=medium

  * Add argument types to function prototypes (Closes: #1114276)

 -- Ole Streicher <olebole@debian.org>  Fri, 12 Sep 2025 22:12:32 +0200

pybdsf (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0. Closes: #1094757, #1095216
  * Rediff patches
  * Push Standards-Version to 4.7.2, no changes needed
  * Add build dependency python3-numpy-dev

 -- Ole Streicher <olebole@debian.org>  Tue, 08 Apr 2025 15:31:41 +0200

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,13 @@
                python3-setuptools,
                python3-setuptools-scm,
                python3-numpy,
+               python3-numpy-dev,
                python3-scipy,
                python3-skbuild,
                libboost-python-dev,
                libboost-numpy-dev,
                gfortran
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/pybdsf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/pybdsf.git
 Homepage: https://pybdsf.readthedocs.io/

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,9 @@
 #
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export PYBUILD_TEST_CUSTOM=1
+export PYBUILD_TEST_ARGS=cd test && PYTHONPATH={build_dir} {interpreter} tbdsf_process_image.py
 
 %:
 	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/, \
     filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%" \
 https://github.com/lofar-astron/PyBDSF/tags \
 (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
